{% extends 'morello.jinja2' %}
{% set connection_list = ['uart0', 'uart1', 'uart2', 'uart3', 'uart4', 'uart5', 'uart6'] %}
{% set connection_commands = {
  'uart0': 'telnet morello-worker01 7100',
  'uart1': 'telnet morello-worker01 7101',
  'uart2': 'telnet morello-worker01 7102',
  'uart3': 'telnet morello-worker01 7103',
  'uart4': 'telnet morello-worker01 7104',
  'uart5': 'telnet morello-worker01 7105',
  'uart6': 'telnet morello-worker01 7106'
} %}
{% set connection_tags = {
  'uart0': ['primary', 'telnet'],
  'uart1': ['telnet'],
  'uart2': ['telnet'],
  'uart3': ['telnet'],
  'uart4': ['telnet'],
  'uart5': ['telnet'],
  'uart6': ['telnet']
} %}

{# Power connected to PDU01, port 11 #}
{# Power control via telnet to MCC, port 7107 #}

{% set power_on_command = '/usr/local/lab-scripts/morello-power-control morello-worker01 7107 reboot' %}
{% set power_off_command = '/usr/local/lab-scripts/morello-power-control morello-worker01 7107 shutdown' %}
{% set hard_reset_command = '/usr/local/lab-scripts/morello-power-control morello-worker01 7107 reboot' %}

{% set device_ip = '10.7.0.107' %}
{% set device_mac = '00:02:f7:00:96:eb' %}
{% set usb_device_id = 0 %}
{% set usb_filesystem_label = 'MORELLO01' %}
{% set usb_label = 'usb_storage_device' %}
{% set usb_uuid = 'A301-44DD' %}
{% set device_info = [{'board_id': '10.7.0.107:5555'}] %}
{% set sdmux_disk = '/dev/disk/by-id/usb-LinuxAut_sdmux_HS-SD_MMC_000000000344-0:0' %}
{% set sdmux_command_dut = 'usbsdmux /dev/usb-sd-mux/id-000000000344 dut' %}
{% set sdmux_command_host = 'usbsdmux /dev/usb-sd-mux/id-000000000344 host' %}
{% set sync_to_lava = {'device_type': 'morello', 'worker': 'morello-worker01.lavalab', 'tags': ['morello01'], 'aliases': []} %}
